Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740618 - media-video/motion: use tmpfiles.eclass instead of systemd_tmpfiles*
Summary: media-video/motion: use tmpfiles.eclass instead of systemd_tmpfiles*
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Johannes Willem (Hans) Fernhout
URL:
Whiteboard:
Keywords: PullRequest
Depends on: 707428
Blocks: 740638
  Show dependency tree
 
Reported: 2020-09-06 03:24 UTC by Michał Górny
Modified: 2020-11-05 08:12 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-09-06 03:24:41 UTC
The packages listed in summary still use systemd_tmpfiles API.  Please switch to tmpfiles.eclass that is maintained and supports OpenRC correctly.
Comment 1 Johannes Willem (Hans) Fernhout 2020-11-01 13:44:43 UTC
The function systemd_dotmpfilesd is only used in media-video/motion-4.1.1-r1, not in later more current versions.  Propose to remove 4.1.1 from the tree.
Comment 2 Sam James archtester gentoo-dev Security 2020-11-01 13:57:10 UTC
(In reply to Hans Fernhout from comment #1)
> The function systemd_dotmpfilesd is only used in
> media-video/motion-4.1.1-r1, not in later more current versions.  Propose to
> remove 4.1.1 from the tree.

Yeah, we can post-stabilisation. Make a PR for that when it's done?

Also, looks like a bump is due.
Comment 3 Larry the Git Cow gentoo-dev 2020-11-05 08:12:02 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f593bd8886d52554afa1e2d45f7cb79026fb7d6

commit 2f593bd8886d52554afa1e2d45f7cb79026fb7d6
Author:     Johannes Willem Fernhout <hfern@fernhout.info>
AuthorDate: 2020-11-02 19:55:27 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-11-05 08:11:24 +0000

    media-video/motion: remove version 4.1.1-r1
    
    motion-4.1.1-r1 still uses deprecated eclass systemd_tmpfiles.
    New motion-4.3.1 is already stabilized.
    
    Closes: https://bugs.gentoo.org/740618
    
    Signed-off-by: Johannes Willem Fernhout <hfern@fernhout.info>
    Closes: https://github.com/gentoo/gentoo/pull/18114
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 media-video/motion/Manifest               |  1 -
 media-video/motion/motion-4.1.1-r1.ebuild | 91 -------------------------------
 2 files changed, 92 deletions(-)